function g = graydown(m)
%GRAYDOWN   white-to-black grayscale colormap
%   Matlab's built-in 'gray's inverse map
%
%   See also HSV, HOT, COOL, BONE, COPPER, PINK, FLAG, 
%   COLORMAP, RGBPLOT.
%
% Last modified: 6 Sep 06

% Create on: 6 Sep 06

if nargin < 1, m = size(get(gcf,'colormap'),1); end
g = (m-1:-1:0)'/max(m-1,1);
g = [g g g];