function c = emptycobject
%emptyobject
%    private @cortex function
%Last modified: 8 July 01

%  8 Jul 01: version update to 3
% 17 Nov 04: tch, epp, etc, added

c.version =         3;
c.name    =  'noname';
c.trials         =  0;
c.cond_no        = [];
c.repeat_no      = [];
c.block_no       = [];
c.eog_rate       = [];
c.KHz_resolution = [];
c.trial_type     = [];
c.exp_response   = [];
c.response       = [];
c.times          = [];
c.codes          = [];
c.cluster_bank   = [];
c.spike_start    = [];
c.spike_end      = [];
c.spikes  = uint32([]);

% version 1 and up
c.changemode     =  0;
c.rel_trial      = [];

% version 2 and up
c.eog.dva        =  0;

% version 3 and up
c.spike_channel  = [];
c.lfp            = [];
c.epp.rate       =  0;
c.tch.rate       =  0;

disp ('Empty @cortex object created');
