function [b le er] = bar (f, errb, varargin)

%@FACTS/BAR  bar charts of mean values in @facts objects

fa = f.defs.factors;
if length(fa) > 2
	error ('only 1 or 2 factors can be used in a bar chart');
end
mm = calc(f, @mean);
b = bar (mm, varargin{:});
[g gn] = grp2idx (f.G{fa(1)});
set (gca, 'xticklabel', gn);
le=[];
if length(fa) == 2 && f.defs.legend
	[g gn] = grp2idx (f.G{fa(2)});
	le = legend (b, gn);
end
switch minifield(errb)
	case 'std'
		er = barerr (b, 0, calc(f, @std));
	case 'ste'
		er = barerr (b, 0, calc(f, @ste));
   case 'dat'
      er = scatonbar (b, raw(f));
end
colormap graydown