function rv = NOTnummatrix (s, ar)

%NOTnummatrix(M)
%   returns a warning string if M is not a numerical 2-D matrix;
%   use it to perform argument checking in your scripts:
%   >> error(NOTnummatrix(M))
%
%   NOTnummatrix(M,ARG) the string ARG is inserted into the returned string. 
%
%Last modified: 1 Mar 06

if nargin==1, ar = ''; end
rv = [];
if ndims (s) ~= 2 | ~isnumeric (s)
	rv = ['argument '  ar ' should be a numerical 2-D matrix'];
end