function rv = NOTscalar (s, ar)

%NOTscalar(S)
%   returns a warning string if S is not a numeric scalar;
%   use it to perform argument checking in your scripts:
%   >> error(NOTscalar(S))
%
%   NOTscalar(S,ARG) the string ARG is inserted into the returned string.
%
%Last modified: 01 Mar 06

if nargin==1, ar = ''; end
rv = [];
if ~isnumscalar(s)
	rv = ['argument ' ar ' should be a numeric scalar'];
end