function s1 = trimwhitecomm(s)
%TRIMWHITECOMM(S)  returns the string S after stripping any leading and
%                  trailing whitespace as well as matlab-style comments
%
%Last modified 04 Mar 06

%Created on 04 Mar 06

% could not use strtok (s, '%') because if '%' is the first character in
% the string then the whole string is returned.
id = find (s=='%');
if ~isempty (id), s (min(id):end)=[]; end
s1 = trimwhite (s);
